Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.beans.view
Class ProjectOverviewBean

    java.lang.Object
      kieker.webgui.web.beans.view.ProjectOverviewBean

    @Component
    @Scope(value="view")
    public final class ProjectOverviewBean

extends Object

The `ProjectOverviewBean` contains the necessary data behind an instance of the project overview.
The class is a Spring managed bean with view scope.

Author:
  Nils Christian Ehmke

Constructor Summary
`ProjectOverviewBean()` Creates a new instance of this class.

Method Summary
`void` | `addProject(NewProjectBean newProjectBean)` Adds a project to the application, using the given project bean.
`void` | `copyProject(CopyProjectBean copyProjectBean)` This method copies the current project.
`void` | `delProject()` This method deletes the current project.
`String` | `getAnalysisControllerState(String project)` This method can be used to deliver the state of the analysis controller of the given project as a human readable string.
`String` | `getCurrTimeStamp(String project)` This method can be used to get the current time stamp of a given project as a human readable date.
`String` | `getLastUser(String project)` Delivers the last user of the given project or a substitution if the meta data is corrupt or missing.
`String` | `getOwner(String project)` Delivers the owner of the given project or a substitution if the meta data is corrupt or missing.
`String` | `getProjectName()`
`List<String>` | `getProjects()`
`protected void` | `initialialize()` This method initializes the bean.
`void` | `renameProject(RenameProjectBean renameProjectBean)` This method renames the current project.
`void` | `rowSelectHandler(org.primefaces.event.SelectEvent event)` This is the event handler used to select a row instantaneously.
`void` | `setProjectName(String projectName)`
`void` | `updateAvailableProjects()` Updates the list with the available availableProjects.
`void` | `uploadProject(ImportProjectBean importProjectBean)` This method uploads a project.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectOverviewBean

    public ProjectOverviewBean()

  Creates a new instance of this class. Do not use this constructor. This bean is Spring managed.

Method Detail

### initialialize

    @PostConstruct
    protected void initialialize()

  This method initializes the bean. Do not call this method manually. It will only be accessed by Spring.

### addProject

    public void addProject(NewProjectBean newProjectBean)

  Adds a project to the application, using the given project bean.

  Parameters:
    `newProjectBean` - The bean containing the necessary data to create the project.

### renameProject

    public void renameProject(RenameProjectBean renameProjectBean)

  This method renames the current project.

  Parameters:
    `renameProjectBean` - The bean containing the necessary data to rename the current project.

### delProject

    public void delProject()

  This method deletes the current project.

### copyProject

    public void copyProject(CopyProjectBean copyProjectBean)

  This method copies the current project.

  Parameters:
    `copyProjectBean` - The bean containing the necessary data to copy the current project.

### uploadProject

    public void uploadProject(ImportProjectBean importProjectBean)

  This method uploads a project.

  Parameters:
    `importProjectBean` - The bean containing the necessary data to upload the project.

### rowSelectHandler

    public void rowSelectHandler(org.primefaces.event.SelectEvent event)

  This is the event handler used to select a row instantaneously.

  Parameters:
    `event` - The select event.

### updateAvailableProjects

    public void updateAvailableProjects()

  Updates the list with the available availableProjects.

### getProjects

    public List<String> getProjects()

### getProjectName

    public String getProjectName()

### setProjectName

    public void setProjectName(String projectName)

### getCurrTimeStamp

    public String getCurrTimeStamp(String project)

  This method can be used to get the current time stamp of a given project as a human readable date. If the project doesn't exist or the time stamp would be invalid "N/A" will be returned.

  Parameters:
    `project` - The project whose time stamp should be collected.
  Returns:
    The human readable time stamp of the project.

### getOwner

    public String getOwner(String project)

  Delivers the owner of the given project or a substitution if the meta data is corrupt or missing.

  Parameters:
    `project` - The name of the project whose owner should be delivered.
  Returns:
    The owner (creator) of the project.

### getLastUser

    public String getLastUser(String project)

  Delivers the last user of the given project or a substitution if the meta data is corrupt or missing. More precisely: It will be the user who saves the project the last time.

  Parameters:
    `project` - The name of the project whose last user should be delivered.
  Returns:
    The last user of the project.

### getAnalysisControllerState

    public String getAnalysisControllerState(String project)

  This method can be used to deliver the state of the analysis controller of the given project as a human readable string.

  Parameters:
    `project` - The project whose state should be delivered.
  Returns:
    The current state of the corresponding AnalysisController.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.